Bug 1715821 - Review Request: conmon - OCI container runtime monitor
Summary: Review Request: conmon - OCI container runtime monitor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-31 11:50 UTC by Lokesh Mandvekar
Modified: 2019-09-22 03:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 00:03:29 UTC
jnovy: fedora-review+


Attachments (Terms of Use)

Description Lokesh Mandvekar 2019-05-31 11:50:54 UTC
Spec URL: https://pagure.io/conmon/raw/master/f/conmon.spec
SRPM URL: https://pagure.io/conmon/blob/master/f/SRPMS/conmon-0.2.0-1.fc31.src.rpm

Description: OCI container runtime monitor

Fedora Acconut System Username: lsm5

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=35166210


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jindrich Novy 2019-06-06 15:43:44 UTC
Hi Lokesh,

not sure it's too relevant to f31 I believe but would make sense to avoid file conflicts with podman by addition of appropriate Conflicts/Requires tags in the spec file:

Error: Transaction check error:
  file /usr/libexec/podman/conmon from install of conmon-2:0.2.0-1.fc30.x86_64 conflicts with file from package podman-2:1.3.1-1.git7210727.fc30.x86_64

Tested this on f30, as you see.

Thanks,
Jindrich

Comment 2 Lokesh Mandvekar 2019-06-06 15:45:09 UTC
Ha yup, I'll add that change in a bit. Thanks,

Comment 3 Jindrich Novy 2019-06-06 15:51:30 UTC
Or maybe to remove conmon from podman first so there's no file conflict in rawhide? And adding relevant (soft) requires on podman's side?

Then still explicit Conflict: podman <= podman-ver tag needs to be in the spec of conmon to preven file conflict with older podman as file conflict will take place when the transaction is actually executed. The whole installation would then fail.

Comment 4 Daniel Walsh 2019-07-18 13:05:05 UTC
I don't think conmon should meantion cri-o or podman.  It should be independant.  Then Podman and/or CRI-O could choose to use it or ship their own.  Eliminates the problem of conflicts.

That way an older version of CRI-O that might require an older version of conmon could ship its own version.

Comment 5 Lokesh Mandvekar 2019-09-10 12:17:42 UTC
Spec URL: https://pagure.io/conmon/raw/master/f/conmon.spec
SRPM URL: https://pagure.io/conmon/blob/master/f/SRPMS/conmon-2.0.0-1.fc32.src.rpm

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=37578676

conmon now has install.podman and install.crio targets, but I'd rather not use those in the rpm since both podman (by default) and crio (via crio.conf) can use the default /usr/bin/conmon.
I guess that'd also help to avoid any conflicts and podman and crio can just have Requires: conmon going forward.

Comment 6 Lokesh Mandvekar 2019-09-10 12:34:56 UTC
Spec URL: https://pagure.io/conmon/raw/master/f/conmon.spec
SRPM URL: https://pagure.io/conmon/blob/master/f/SRPMS/conmon-2.0.0-2.fc32.src.rpm

removed BR: go-md2man.

Comment 7 Jindrich Novy 2019-09-10 13:11:54 UTC
lgtm, no rpmlint warnings for spec nor package.

Installed package produces:

$ rpmlint conmon
conmon.x86_64: W: unstripped-binary-or-object /usr/bin/conmon
conmon.x86_64: W: no-manual-page-for-binary conmon
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Man page is to be added after review by upstream. The stripping issue will be addressed after import.

Comment 8 Gwyn Ciesla 2019-09-10 14:46:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/conmon

Comment 9 Fedora Update System 2019-09-13 13:48:23 UTC
FEDORA-2019-58623d56ee has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-58623d56ee

Comment 10 Fedora Update System 2019-09-13 13:57:43 UTC
FEDORA-2019-fe216d6d80 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fe216d6d80

Comment 11 Fedora Update System 2019-09-13 17:30:35 UTC
FEDORA-2019-db49f44789 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-db49f44789

Comment 12 Fedora Update System 2019-09-14 01:40:32 UTC
conmon-2.0.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-58623d56ee

Comment 13 Fedora Update System 2019-09-14 03:39:56 UTC
conmon-2.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fe216d6d80

Comment 14 Fedora Update System 2019-09-14 03:55:19 UTC
conmon-2.0.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-db49f44789

Comment 15 Fedora Update System 2019-09-18 00:03:29 UTC
conmon-2.0.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-22 02:25:35 UTC
conmon-2.0.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-22 03:19:56 UTC
conmon-2.0.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.